Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.jar
Class JarFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.provider.AbstractFileProvider
                  org.apache.commons.vfs.provider.AbstractLayeredFileProvider
                      org.apache.commons.vfs.provider.zip.ZipFileProvider
                          org.apache.commons.vfs.provider.jar.JarFileProvider

All Implemented Interfaces:
  FileProvider, VfsComponent

public class JarFileProvider
extends ZipFileProvider

A file system provider for Jar files. Provides read-only file systems. This provides access to Jar specific features like Signing and Manifest Attributes.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Brian Olsen

Constructor Summary
`JarFileProvider()`

Method Summary
`protected FileSystem` | `doCreateFileSystem(String scheme, FileObject file, FileSystemOptions fileSystemOptions)` Creates a layered file system.
`Collection` | `getCapabilities()` Get the filesystem capabilities.

Methods inherited from class org.apache.commons.vfs.provider.AbstractLayeredFileProvider
`createFileSystem, findFile`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileProvider
`addFileSystem, close, closeFileSystem, findFileSystem, freeUnusedResources, getConfigBuilder, getFileNameParser, parseUri, setFileNameParser`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.provider.FileProvider
`createFileSystem, findFile, getConfigBuilder, parseUri`

Constructor Detail

### JarFileProvider

    public JarFileProvider()

Method Detail

### doCreateFileSystem

    protected FileSystem doCreateFileSystem(String scheme,
                                            FileObject file,
                                            FileSystemOptions fileSystemOptions)
                                     throws FileSystemException

  Creates a layered file system. This method is called if the file system is not cached.

  Overrides:
    `doCreateFileSystem` in class `ZipFileProvider`
  Parameters:
    `scheme` - The URI scheme.
    `file` - The file to create the file system on top of.
  Returns:
    The file system.
  Throws:
    `FileSystemException`

### getCapabilities

    public Collection getCapabilities()

  Description copied from interface: `FileProvider`
  Get the filesystem capabilities.
  These are the same as on the filesystem, but available before the first filesystem was instanciated.

  Specified by:
    `getCapabilities` in interface `FileProvider`
  Overrides:
    `getCapabilities` in class `ZipFileProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.